# Class SinglyLinkedListNode<E>

data-structure-typed

#### Author

Tyler Zeng

#### Copyright

Copyright (c) 2022 Tyler Zeng zrwusa@gmail.com

#### License

MIT License

#### Type Parameters

- #### E = any

#### Hierarchy

- SinglyLinkedListNode

- Defined in src/data-structures/linked-list/singly-linked-list.ts:8

#####
Index

### Constructors

constructor

### Properties

_next
_val

### Accessors

next
val

## Constructors

### constructor

- new SinglyLinkedListNode<E>(val): SinglyLinkedListNode<E>

- The constructor function initializes an instance of a class with a given value and sets the next property to null.

  #### Type Parameters

  - #### E = any

  #### Parameters

  - ##### val: E

    The "val" parameter is of type E, which means it can be any data type. It represents the value that will be stored in the node of a linked list.

  #### Returns SinglyLinkedListNode<E>

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:14

## Properties

### `Private` _next

_next: null | SinglyLinkedListNode<E>

- Defined in src/data-structures/linked-list/singly-linked-list.ts:29

### `Private` _val

_val: E

- Defined in src/data-structures/linked-list/singly-linked-list.ts:19

## Accessors

### next

- get next(): null | SinglyLinkedListNode<E>

- #### Returns null | SinglyLinkedListNode<E>

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:31
- set next(value): void

- #### Parameters

  - ##### value: null | SinglyLinkedListNode<E>

  #### Returns void

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:35

### val

- get val(): E

- #### Returns E

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:21
- set val(value): void

- #### Parameters

  - ##### value: E

  #### Returns void

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:25

Generated using TypeDoc